<?php
// ----------------------------------------------------------------------
// Copyright (c) 2002-2003 Shawn McKenzie
// http://spidean.mckenzies.net
// ----------------------------------------------------------------------
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html
// ----------------------------------------------------------------------

global $all_vars, $index;

$postnuke_theme = true;
$autotheme_theme = true;

//Include theme specific files for config, command definition, parsing and functions
include(dirname(__FILE__)."/theme.cfg");

$thename = basename(dirname(__FILE__));
themes_get_language();

include(dirname(__FILE__)."/includes/commands.inc.php");
include(dirname(__FILE__)."/includes/autotheme.inc.php");

//Tables that modules and others call so as to keep consistent with the theme
function OpenTable()
{
    global $bgcolor1, $bgcolor2, $bgcolor3, $bgcolor4;
    echo "<table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"0\" bgcolor=\"$bgcolor2\"><tr><td>\n";
    echo "<table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"8\" bgcolor=\"$bgcolor1\"><tr><td>\n";
}

function CloseTable()
{
    echo "</td></tr></table></td></tr></table>\n";
}

function OpenTable2()
{
    global $bgcolor1, $bgcolor2, $bgcolor3, $bgcolor4;
    echo "<table border=\"0\" cellspacing=\"1\" cellpadding=\"0\" bgcolor=\"$bgcolor2\" align=\"center\"><tr><td>\n";
    echo "<table border=\"0\" cellspacing=\"1\" cellpadding=\"8\" bgcolor=\"$bgcolor1\"><tr><td>\n";
}

function CloseTable2()
{
    echo "</td></tr></table></td></tr></table>\n";
}

//This is the theme header - the layout that is rendered before the modules
function themeheader()
{
    global $all_vars;
    extract($all_vars);
    atThemeRender($output['header']);
}

//This is the theme footer - the layout that is rendered after the modules
function themefooter()
{
    global $all_vars;
    extract($all_vars);
    atThemeRender($output['footer']);
}

//This displays the article summary on the main page
function themeindex ($_deprecated, $_deprecated, $_deprecated, $_deprecated, $_deprecated, $_deprecated, $_deprecated, $_deprecated, $_deprecated, $_deprecated, $_deprecated, $_deprecated, $info, $links, $preformat)
{
    global $all_vars;
    extract($all_vars, EXTR_SKIP);
    //$all_vars = get_defined_vars();

    $summary_count ++;

    if($alternate_summary) {
        if($summary_count % 2 == 0) {
            $sparts = $output['summary1'];
            $scommands = $commands['summary1'];
        } else {
            $sparts = $output['summary2'];
            $scommands = $commands['summary2'];
        }
    } else {
        $sparts = $output['summary'];
        $scommands = $commands['summary'];
    }

    $all_vars = get_defined_vars();
    atThemeRender($sparts);
}

//This displays the full article when read more... is clicked in the article summary
function themearticle ($_deprecated, $_deprecated, $_deprecated, $_deprecated, $_deprecated, $_deprecated, $_deprecated, $_deprecated, $_deprecated, $info, $links, $preformat)
{
    global $all_vars;
    extract($all_vars, EXTR_SKIP);
    $all_vars = get_defined_vars();
    atThemeRender($output['article']);
}

//These are the side blocks
function themesidebox($block)
{
    global $all_vars;
    extract($all_vars, EXTR_SKIP);
    
    switch($block['position']) {
        case 'l':
        $bparts = $output['leftblock'];
        break;

        case 'r':
        $bparts = $output['rightblock'];
        break;
        
        case 'c':
        $bparts = $output['centerblock'];
        break;
        
        case '1':
        $bparts = $output['area1block'];
        break;

        case '2':
        $bparts = $output['area2block'];
        break;

        case '3':
        $bparts = $output['area3block'];
        break;
        
        case '4':
        $bparts = $output['area4block'];
        break;

        case '5':
        $bparts = $output['area5block'];
        break;

        case '6':
        $bparts = $output['area6block'];
        break;

        case '7':
        $bparts = $output['area7block'];
        break;

        case '8':
        $bparts = $output['area8block'];
        break;

        case '9':
        $bparts = $output['area9block'];
        break;

        case 't':
        $bparts = $output['topblock'];
        break;
        
        case 'b':
        $bparts = $output['bottomblock'];
        break;
    }
    //Define custom block templates
    $title = trim(strip_tags($block[title], ""));

    if($custom_block) {
        foreach($custom_block as $name => $file) {
            if($name == $title && file_exists($themepath.$file)) {
                $HTML = atTemplateLoad($themepath.$file);
                $bparts = atCommandParse($HTML, $command);
            }
        }
    }
    //Echo parts and execute commands
    if($bparts) {
        $all_vars = get_defined_vars();
        atThemeRender($bparts);
    }
}

?>
